Subject: Conforming to pep8

From: William Giokas <[email-masked]>
Date: Thu, 8 May 2014 20:54:29 -0500

Hi all,

So I have been looking into the python code in the git tree recently
(contrib and core tree) and noticed that almost none of the files fully
conform to pep8. Now I'm not just saying this because I like the code to
be clean, readable and easily parsed by humans, but also because this is
laid out in the coding style document that is distributed with the git
source::

    For Python scripts:

     - We follow PEP-8 (http://www.python.org/dev/peps/pep-0008/).

It's even the first thing that you see when you go looking for 'python'
in the coding style document. I just ran every file in the tree that
either ended in '.py' or had a python #!, and was greeted with a whole
bunch of output::

    ./git-p4.py
    ./contrib/svn-fe/svnrdump_sim.py
    ./contrib/remote-helpers/git-remote-bzr
    ./contrib/hooks/multimail/post-receive
    ./contrib/hooks/multimail/migrate-mailhook-config
    ./contrib/hooks/multimail/git_multimail.py
    ./contrib/hooks/multimail/README
    ./contrib/hg-to-git/hg-to-git.py
    ./contrib/gitview/gitview
    ./contrib/fast-import/import-zips.py
    20      E101 indentation contains mixed spaces and tabs
    90      E111 indentation is not a multiple of four
    9       E112 expected an indented block
    47      E113 unexpected indentation
    1       E121 continuation line under-indented for hanging indent
    3       E122 continuation line missing indentation or outdented
    3       E124 closing bracket does not match visual indentation
    12      E125 continuation line with same indent as next logical line
    9       E126 continuation line over-indented for hanging indent
    4       E127 continuation line over-indented for visual indent
    63      E128 continuation line under-indented for visual indent
    4       E129 visually indented line with same indent as next logical line
    3       E131 continuation line unaligned for hanging indent
    37      E201 whitespace after '['
    30      E202 whitespace before ']'
    30      E203 whitespace before ':'
    37      E211 whitespace before '('
    10      E221 multiple spaces before operator
    14      E222 multiple spaces after operator
    8       E223 tab before operator
    1       E224 tab after operator
    35      E225 missing whitespace around operator
    6       E228 missing whitespace around modulo operator
    23      E231 missing whitespace after ','
    10      E251 unexpected spaces around keyword / parameter equals
    1       E261 at least two spaces before inline comment
    1       E262 inline comment should start with '# '
    37      E265 block comment should start with '# '
    1       E301 expected 1 blank line, found 0
    117     E302 expected 2 blank lines, found 1
    19      E303 too many blank lines (2)
    4       E401 multiple imports on one line
    220     E501 line too long (83 > 79 characters)
    5       E502 the backslash is redundant between brackets
    33      E701 multiple statements on one line (colon)
    11      E702 multiple statements on one line (semicolon)
    34      E703 statement ends with a semicolon
    9       E711 comparison to None should be 'if cond is None:'
    2       E713 test for membership should be 'not in'
    1022    W191 indentation contains tabs
    40      W601 .has_key() is deprecated, use 'in'
    1       W602 deprecated form of raising exception
    1       W603 '<>' is deprecated, use '!='
    1       W604 backticks are deprecated, use 'repr()'

Which is a whole bunch of errors and warnings thrown by pep8. Is pep8
just getting put by the wayside? I would much rather have these scripts
conform to that and have an actual coding style rather than just be a
hodge-podge of different styles.

Thanks,
-- 
William Giokas | KaiSforza | http://kaictl.net/
GnuPG Key: 0x73CD09CF
Fingerprint: F73F 50EF BBE2 9846 8306  E6B8 6902 06D8 73CD 09CF